OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKCAF
TFunction

# TFunction_DataMapNodeOfDataMapOfLabelListOfLabel Class Reference

`#include <TFunction_DataMapNodeOfDataMapOfLabelListOfLabel.hxx>`

## Public Member Functions
| TFunction_DataMapNodeOfDataMapOfLabelListOfLabel (const TDF_Label &K, const TDF_LabelList &I, const TCollection_MapNodePtr &n)
TDF_Label & | Key () const
TDF_LabelList & | Value () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
TDF_Label | myKey
TDF_LabelList | myValue

## Constructor & Destructor Documentation

TFunction_DataMapNodeOfDataMapOfLabelListOfLabel::TFunction_DataMapNodeOfDataMapOfLabelListOfLabel | ( | const TDF_Label & | K,
|  | const TDF_LabelList & | I,
|  | const TCollection_MapNodePtr & | n
| ) |

## Member Function Documentation

Standard_EXPORT const TFunction_DataMapNodeOfDataMapOfLabelListOfLabel::Handle | ( | Standard_Type |  | ) | const

TDF_Label& TFunction_DataMapNodeOfDataMapOfLabelListOfLabel::Key | ( |  | ) | const

TDF_LabelList& TFunction_DataMapNodeOfDataMapOfLabelListOfLabel::Value | ( |  | ) | const

## Field Documentation

TDF_Label TFunction_DataMapNodeOfDataMapOfLabelListOfLabel::myKey`[private]`

TDF_LabelList TFunction_DataMapNodeOfDataMapOfLabelListOfLabel::myValue`[private]`

The documentation for this class was generated from the following file:

- TFunction_DataMapNodeOfDataMapOfLabelListOfLabel.hxx